### Method

# Rest ProxyCall lookup_param

#### Declaration [src]

    RestParam*
    rest_proxy_call_lookup_param (
      RestProxyCall* call,
      const gchar* name
    )

#### Description [src]

Get the value of the parameter called `name`.

#### Parameters

`name`

  Type: `const gchar*`

  The paramter name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RestParam`

The parameter value, or `NULL` if it does not exist. This string is owned by the `RestProxyCall` and should not be freed.

The returned data is owned by the instance.
The return value can be `NULL`.